#!/bin/sh
source /etc/conf.d/vdr.admin.cfg

execCmd() {
   echo "Exec <$1>" |tee -a /tmp/init.log
   $1
}


export INST_DIR=""
export MP_AUTO_INST=$1

killall -9 vdr runvdr > /dev/null 2>&1 

# Stop running processes
SVC_STOP="vdr alsasound lircd gui net.eth0"
for i in $SVC_STOP ; do
   /etc/init.d/${i} stop
done

/_config/bin/query_con.sh -switch
#for i in $(grep "\.tar\.bz2" $MD5_FILE | cut -f 3 -d " ") ; do
#   echo "Entpacke </_config/update/$i>"   
#   tar -C / --exclude=init.sh -xjvf /_config/update/$i
#done

rm -f /autorun* > /dev/null 2>&1

# Initialize Konfiguration
execCmd "sh /_config/bin/default_cfg.sh"

source /etc/conf.d/vdr

#execCmd "sh /_config/bin/detect_modules.sh"
execCmd "sh /_config/bin/detect_cpu.sh"
execCmd "sh /_config/bin/detect_dvb.sh"
execCmd "sh /_config/bin/detect_net.sh"

#set -x
DO_MIGRATE=0
if [ -s /mnt/data/g2v-backup/etc/conf.d/vdr ] ; then
   if [ "$MP_AUTO_INST" != "1" ] ; then
      dialog --yesno "Soll die alte Konfiguration migriert werden ?" 0 0
      if [ $? = 0 ] ; then
         DO_MIGRATE=1
      fi
   else
      DO_MIGRATE=1
   fi      
fi
										       
if [ "$DO_MIGRATE" = "1" ] ; then
   # Migrate old config
   execCmd "sh /_config/bin/g2v_migrate.sh"
fi

mkdir /mnt/data/audio/images >/dev/null 2>&1
cp -f /etc/vdr/plugins/mp3/* /mnt/data/audio/images/ >/dev/null 2>&1

VDRUSER="root"

chown ${VDRUSER}:users /mnt/data/* /mnt/data/*/*
chown -R ${VDRUSER} /etc/vdr
chown -R vdr:users /home/vdr

rm -f /_config/status/* > /dev/null 2>&1

MD5_FILE="/_config/update/g2v_md5_fixes"
for i in $(grep "\.tar\.bz2" $MD5_FILE | cut -f 3 -d " ") ; do
   FN=$(echo $i | cut -f 1 -d ".")
   if [ -f /_config/update/$FN.sh ] ; then
      echo "Starte <sh /_config/update/$FN.sh>"
      sh /_config/update/$FN.sh
   fi
done

chmod +x /_config/bin/* /_config/*/*.sh /usr/bin/*

echo "Einstellungen konfigurieren ..."
[ -f /etc/vdr/plugins/admin/admin.conf.save ] && rm -f /etc/vdr/plugins/admin/admin.conf.save
sh /etc/vdr/plugins/admin/admin_changes.sh -f

echo "System initialisieren ..."

depscan.sh >/dev/null 2>&1
ldconfig
depmod -a
update-modules
lilo
sync&&sync

echo "Weitere Anpassungen ueber VDR-Menu->Einstellungen->Plugins->Admin"
echo "Das Menu wird mit der Tab-Taste aufgerufen."
echo ""
echo "Das Passwort fuer den root-user lautet: <gen2vdr>"
echo "Das System wird nun neu gestartet"

sh /_config/bin/detect_x.sh
reboot

exit 0
